[
{
    blockid=snmp;
    help=root_snmp_snmp;
    custom=com.netscape.management.msgserv.RootSNMPControl;
    localvar={
	/* translate this block */
	.snmp.text="SNMP \u8a2d\u5b9a";
	.host.text="\u4e3b\u4ee3\u7406\u7a0b\u5f0f\u4e3b\u6a5f\u540d\u7a31\uff1a";
	.port.text="\u4e3b\u4ee3\u7406\u7a0b\u5f0f\u9023\u63a5\u57e0\u865f\u78bc\uff1a";
	.enable.text="\u555f\u7528\u7d71\u8a08\u8cc7\u6599\u63a1\u96c6";
	.org.text="\u7d44\u7e54\u540d\u7a31\uff1a";
	.description.text="\u4f3a\u670d\u5668\u8aaa\u660e\uff1a";
	.contact.text="\u806f\u7d61\u4eba\u8cc7\u8a0a\uff1a";
	.location.text="\u4f3a\u670d\u5668\u4f4d\u7f6e\uff1a";
	.snmpstart.text="\u555f\u52d5";
	.snmpstop.text="\u95dc\u9589";
	.snmpstatus.text="\u72c0\u614b\uff1a";
        sys.snmpcollstart.value="SNMP \u5b50\u4ee3\u7406\u7a0b\u5f0f\u672a\u5728\u57f7\u884c";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.snmp.text;
	    font=["","",16];
	    wrap=$g.label.size5;
	    constraint={
	        gridy=0;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=hostlabel;
	    text=$.host.text;
	    target=hostctrl;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=hostlabel;
	    id=hostctrl;
	    val=$snmp.masterhost.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=portlabel;
	    text=$.port.text;
	    target=portctrl;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=number;
	    id=portctrl;
	    val=$snmp.masterport.value;
	    label=portlabel;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=orglabel;
	    text=$.org.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=orglabel;
	    val=$snmp.organization.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=descriptionlabel;
	    text=$.description.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=descriptionlabel;
	    val=$snmp.description.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=contactlabel;
	    text=$.contact.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=contactlabel;
	    val=$snmp.contact.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=locationlabel;
	    text=$.location.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=locationlabel;
	    val=$snmp.location.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    id=snmpenable;
	    text=$.enable.text;
	    val=$snmp.enable.value;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        weighty=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=pane;
		    candisable=false;
		    content=[
		        {
		            ctrl=label;
		            text=$.snmpstatus.text;
		        },
		        {
		            ctrl=rigid;
		        },
		        {
		            ctrl=timelabel;
		            text=$sys.snmpcollstart.value;
		        }
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    candisable=false;
		    content=[
			{
			    ctrl=button;
			    id=snmpstart;
			    text=$.snmpstart.text;
			    cmd=start;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=button;
			    id=snmpstop;
			    text=$.snmpstop.text;
			    cmd=stop;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	}
    ]
}
]

